Pipelines
Get pipeline
Returns a pipeline by its slug.
GET
/
workspaces
/
{workspaceSlug}
/
pipelines
/
{pipelineSlug}
/
Get pipeline
curl --request GET \
--url https://api.example.com/workspaces/{workspaceSlug}/pipelines/{pipelineSlug}/import requests
url = "https://api.example.com/workspaces/{workspaceSlug}/pipelines/{pipelineSlug}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceSlug}/pipelines/{pipelineSlug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"defaultScope": {
"countries": [
"<string>"
],
"languages": [],
"metadata": {
"audience": [],
"purpose": null,
"tags": []
}
},
"policySlugs": [
"<string>"
]
},
"displayName": "<string>",
"slug": "<string>",
"status": "draft",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceSlug": "<string>",
"description": "<string>",
"retention": {
"auditLogs": {
"mode": "forever"
},
"redactedDocuments": {
"mode": "forever"
}
}
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}Path Parameters
URL-safe workspace identifier.
URL slug of the pipeline, unique within its workspace.
Response
Pipeline response.
Pipeline response.
Timestamp when the pipeline was created.
Account that created this pipeline.
Show child attributes
Show child attributes
Detection + redaction configuration.
Show child attributes
Show child attributes
Pipeline display name.
URL slug of the pipeline, unique within its workspace.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Pipeline lifecycle status.
Allowed value:
"draft"Timestamp when the pipeline was last updated.
Handle of the workspace this pipeline belongs to.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Pipeline description.
Per-scope data-retention override, when the pipeline sets one.
Show child attributes
Show child attributes
Get pipeline
